javax.faces.webapp

## Class FacetTag

- java.lang.Object
- - javax.servlet.jsp.tagext.TagSupport
  - - javax.faces.webapp.FacetTag

- All Implemented Interfaces:
    Serializable, IterationTag, JspTag, Tag

      public class FacetTag
      extends TagSupport

  FacetTag is the JSP mechanism for denoting a `UIComponent` is to be added as a `facet` to the component associated with its parent.

  A FacetTag must have one and only one child. This child must be a `UIComponentTag` instance representing a single `UIComponent` instance.

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

      `id, pageContext`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FacetTag()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `doStartTag()` Return `EVAL_BODY_INCLUDE` to cause nested body content to be evaluated.
    `String` | `getName()` Return the name to be assigned to this facet.
    `void` | `release()` Release any resources allocated by this tag instance.
    `void` | `setName(String name)` Set the name to be assigned to this facet.

    - ### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

      `doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FacetTag

          public FacetTag()

  - ### Method Detail

    - #### getName

          public String getName()

      Return the name to be assigned to this facet.

    - #### setName

          public void setName(String name)

      Set the name to be assigned to this facet.

      Parameters:
        `name` - The new facet name

    - #### release

          public void release()

      Release any resources allocated by this tag instance.

      Specified by:
        `release` in interface `Tag`
      Overrides:
        `release` in class `TagSupport`
      See Also:
        `Tag.release()`

    - #### doStartTag

          public int doStartTag()
                         throws JspException

      Return `EVAL_BODY_INCLUDE` to cause nested body content to be evaluated.

      Specified by:
        `doStartTag` in interface `Tag`
      Overrides:
        `doStartTag` in class `TagSupport`
      Returns:
        SKIP_BODY
      Throws:
        `JspException` - if an error occurs while processing this tag
      See Also:
        `Tag.doStartTag()`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.